###############################################################################
######### lightOS Makfile                                            ##########
###############################################################################
-include ../../../Makefile.config
SRC= app.c as.c atof-generic.c cond.c depend.c dw2gencfi.c dwarf2dbg.c ecoff.c ehopt.c expr.c flonum-copy.c flonum-konst.c flonum-mult.c frags.c hash.c input-file.c input-scrub.c listing.c literal.c macro.c messages.c output-file.c read.c remap.c sb.c stabs.c subsegs.c symbols.c write.c config/tc-i386.c config/obj-elf.c config/atof-ieee.c
OBJ= $(SRC:%.c=%.o)
INCLUDE= -I .. -I ../include -I ../bfd -I . -I config $(LIBUNIX_INCLUDE) $(LIBC_INCLUDE)
LIB= $(LIBGCC) $(LIBC) $(LIBUNIX) $(BUILD)/lib/libiberty.so $(BUILD)/lib/libbfd.so $(BUILD)/lib/libopcode.so
LIBS= --start-group $(LIB) --end-group

dep:
	@$(CC) $(INCLUDE) -MM $(SRC) > $(DEP)

-include $(DEP)

all:
	@make $(OBJ)
	@make gas

$(OBJ):
	@echo " CC     apps/binutils/gas/$(@:%.o=%.c)"
	@$(CC) -DHAVE_CONFIG_H -D_LIGHTOS_LIBUNIX $(C_FLAGS) $(INCLUDE) -c $(@:%.o=%.c) -o $(@)

gas:
	@echo " LD     apps/binutils/gas/gas"
	@$(LD) $(LD_FLAGS) -T $(LDSCRIPT_C) -o gas $(OBJ) $(CRT0_C) $(LIBS)
	@gzip --best -c gas > $(BUILD)/bin/gas

clean:
	@rm -f gas $(BUILD)/bin/gas
	@rm -f $(DEP)
	@rm -rf testsuite po doc
	@rm -f *.o *.c *.m4 as.h asintl.h bfin-parse.h bignum.h bit_fix.h cgen.h ChangeLog* config.in configure configure.in configure.tgt CONTRIBUTORS COPYING dep-in.sed dw2gencfi.h dwarf2dbg.h ecoff.h emul.h emul-target.h expr.h flonum.h frags.h gdbinit.in hash.h input-file.h itbl-lex.h itbl-lex.l itbl-ops.h itbl-parse.h itbl-parse.y listing.h macro.h MAINTAINERS Makefile.am Makefile.in NEWS obj.h output-file.h read.h README sb.h stamp-h.in struc-symbol.h subsegs.h symbols.h tc.h write.h
	@cd config && rm -f *.c *.y *obj*.h *tc*.h aout_gnu.h bfin-aux.h bfin-defs.h bfin-lex.l itbl-mips.h m68k-parse.h te-386bsd.h te-aix5.h te-armeabi.h te-armlinuxeabi.h te-dynix.h te-epoc-pe.h te-freebsd.h te-generic.h te-gnu.h te-go32.h te-hppa64.h te-hppa.h te-hppalinux64.h te-hpux.h te-i386aix.h te-ia64aix.h te-interix.h te-irix.h te-linux.h te-lnews.h te-lynx.h te-mach.h te-macos.h te-nbsd532.h te-nbsd.h te-netware.h te-pc532mach.h te-pe.h te-pep.h te-psos.h te-riscix.h te-sparcaout.h te-sun3.h te-svr4.h te-symbian.h te-tmips.h te-vxworks.h te-wince-pe.h vax-inst.h xtensa-istack.h xtensa-relax.h
